Skip to main content
`Ctrl`+`K`

# PetscIntStack

Opaque PETSc stack-of-`int` data structure used internally for performance logging (for example, to track nested log stage and event pushes)

## Synopsis

    typedef struct _n_PetscIntStack *PetscIntStack;

## See Also

`PetscIntStackCreate()`, `PetscIntStackDestroy()`, `PetscIntStackPush()`, `PetscIntStackPop()`, `PetscIntStackTop()`, `PetscIntStackEmpty()`

## Level

developer

## Location

include/petsclogtypes.h

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages